de.heatup.mapengine

## Class MapEngine

- java.lang.Object
- - de.heatup.mapengine.MapEngine

    public class MapEngine
    extends java.lang.Object

Diese Klasse soll als primäre Schnittstelle dieses Packages zu anderen Spielmodulen dienen. Sie generiert die Map als StaticObjects um diese dann auf ein Spielfeld zu malen. Außerdem erstellt sie eine MapGrid, welches zur Kollisionserkennung und Positionierung von Entitäten dient.

Author:
  Daniel

### Constructor Summary

Constructors
Constructor and Description
`MapEngine()` Öffnet einen File Chooser um eine Custom Map auszuwählen, welche anschließend geladen wird.
`MapEngine(int mapNumber)` Lädt die Map mit angegebener mapNumber.

### Method Summary

Methods
`void` `addAllToPanel(javax.swing.JPanel gamePanel)` Zeichnet die Map auf angegebenen Panel.
`java.util.ArrayList<StaticObject>` `getAllHardwareObjects()`
`java.util.ArrayList<StaticObject>` `getAllHardwareTriggerObjects()`
`java.util.ArrayList<StaticObject>` `getAllMapObjects()`
`java.util.ArrayList<StaticObject>` `getAllWallObjects()`
`java.util.ArrayList<StaticObject>` `getAllWayObjects()`
`void` `printMapGridWithTriggers()` Deprecated. Schreibt eine mit Trigger konvertierte Map-Datei in die Konsole. Diese Methode existiert nur zu Testzwecken und ist daher deprecated markiert.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapEngine

    public MapEngine(int mapNumber)

Lädt die Map mit angegebener mapNumber.

Parameters:
  `mapNumber` - Die Nummer der zu ladenen Map

#### MapEngine

    public MapEngine()

Öffnet einen File Chooser um eine Custom Map auszuwählen, welche anschließend geladen wird.

### Method Detail

#### getAllMapObjects

    public java.util.ArrayList<StaticObject> getAllMapObjects()

Returns:
  Gibt alle MapObjekte als ArrayList<StaticObject> zurück.

#### getAllHardwareObjects

    public java.util.ArrayList<StaticObject> getAllHardwareObjects()

Returns:
  Gibt alle HardwareObjekte auf einer Map als ArrayList<StaticObject> zurück.

#### getAllWallObjects

    public java.util.ArrayList<StaticObject> getAllWallObjects()

Returns:
  Gibt alle WallObjekte auf einer Map als ArrayList<StaticObject> zurück.

#### getAllWayObjects

    public java.util.ArrayList<StaticObject> getAllWayObjects()

Returns:
  Gibt alle WayObjekte auf einer Map als ArrayList<StaticObject> zurück.

#### getAllHardwareTriggerObjects

    public java.util.ArrayList<StaticObject> getAllHardwareTriggerObjects()

Returns:
  Gibt alle HardwareTriggerObjekte auf einer Map als ArrayList<StaticObject> zurück.

#### printMapGridWithTriggers

    public void printMapGridWithTriggers()

Deprecated. Schreibt eine mit Trigger konvertierte Map-Datei in die Konsole. Diese Methode existiert nur zu Testzwecken und ist daher deprecated markiert.

#### addAllToPanel

    public void addAllToPanel(javax.swing.JPanel gamePanel)

Zeichnet die Map auf angegebenen Panel.

Parameters:
  `gamePanel` - das JPanel auf das gezeichnet werden soll.